# $Revision: 1.15 $, $Date: 2007-02-13 08:06:38 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (needs working, not busy /dev/audio!)
#
%include	/usr/lib/rpm/macros.perl
Summary:	Spam should not be propagated beyond necessity
Summary(pl.UTF-8):	Spam nie powinien być rozsiewany bez potrzeby
Name:		perl-Vipuls-Razor-V1
Version:	1.20
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://dl.sourceforge.net/razor/razor-agents-%{version}.tar.gz
# Source0-md5:	3612455aca8221718d2bf4b94ca67197
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 3.0.3-16
%if %{with tests}
BuildRequires:	perl-Net-DNS
%endif
Obsoletes:	Razor
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vipul's Razor is a distributed, collaborative, spam detection and
filtering network. Through user contribution, Razor establishes a
distributed and constantly updating catalogue of spam in propagation
that is consulted by email clients to filter out known spam. Detection
is done with statistical and randomized signatures that efficiently
spot mutating spam content. User input is validated through reputation
assignments based on consensus on report and revoke assertions which
in turn is used for computing confidence values associated with
individual signatures.

%description -l pl.UTF-8
Vipul's Razor to rozproszona, współpracująca sieć wykrywania spamu.
Przy udziale użytkowników Razor stanowi rozproszony i stale
uaktualniany katalog rozprzestrzenianego spamu, który jest odpytywany
przez klientów pocztowych w celu filtrowania znanego spamu. Wykrywanie
jest przeprowadzane za pomocą statystycznych i losowych sygnatur,
które efektywnie wykrywają mutującą się zawartość spamu. Wejście od
użytkowników jest kontrolowane poprzez przypisaną reputację bazowaną
na raportach i zapewnieniach, które służą do obliczania poziomów
ufności związanych z poszczególnymi sygnaturami.

%prep
%setup -q -n razor-agents-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man5

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install razor-whitelist.pod $RPM_BUILD_ROOT%{_mandir}/man5/razor-whitelist.5
install razor.conf $RPM_BUILD_ROOT%{_mandir}/man5/razor.conf.5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes sample.txt
%attr(755,root,root) %{_bindir}/*
%dir %{perl_vendorlib}/Razor
%{perl_vendorlib}/Razor/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Vipuls-Razor-V1.spec,v $
Revision 1.15  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.13  2004/05/06 18:21:27  ankry
- fixed perl-devel BR

Revision 1.12  2004/05/03 23:36:50  ankry
- tests added, license fix, cosmetics

Revision 1.11  2004/04/27 20:12:17  ankry
- one more...

Revision 1.10  2004/04/27 20:11:02  ankry
- site ->vendor

Revision 1.9  2004/04/15 09:35:57  ankry
- cosmetics

Revision 1.8  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.7  2003/05/25 06:25:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:41  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/10 14:37:09  qboosh
- working Source URL

Revision 1.4  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.3  2002/10/04 09:40:59  qboosh
- Obsoletes between Razor and perl-Vipuls-Razor-V1; release 3

Revision 1.2  2002/09/09 22:42:25  qboosh
- pl description, release 2

Revision 1.1  2002/09/05 17:16:08  baggins
- initial revisio, done
